<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Newtonsoft.Json">
            <Version>13.0.1</Version>
        </PackageReference>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\InABox.Configuration\InABox.Configuration.csproj" />
        <ProjectReference Include="..\InABox.Core\InABox.Core.csproj" />
        <ProjectReference Include="..\inabox.logging.shared\InABox.Logging.Shared.csproj" />
        <ProjectReference Include="..\InABox.Scripting\InABox.Scripting.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Compile Remove="archive\**" />
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Remove="archive\**" />
    </ItemGroup>

    <ItemGroup>
        <None Remove="archive\**" />
        <None Remove=".gitignore" />
    </ItemGroup>

</Project>
